namespace SafeCampus.System;
[SugarTable("ClassRoomCallTask", TableDescription = "点名任务")]
[Tenant(SqlSugarConst.DB_DEFAULT)]
[BatchEdit]
[CodeGen]
[IgnoreInitTable]
public class ClassRoomCallTask: PrimaryKeyEntity
{
    /// <summary>
    /// 摄像头id
    /// </summary>
    [SugarColumn(ColumnName = "CameraId", ColumnDescription = "摄像头id", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = true)]
    public string CameraId { get; set; }
    /// <summary>
    /// 点名任务id
    /// </summary>
    [SugarColumn(ColumnName = "TaskId", ColumnDescription = "点名任务id", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = true)]
    public string TaskId { get; set; }
    /// <summary>
    /// 点名持续时间，单位为分钟，取值[1, 100]
    /// </summary>
    [SugarColumn(ColumnName = "ContinueTime", ColumnDescription = "点名持续时间",  IsNullable = true)]
    public int ContinueTime { get; set; }
    /// <summary>
    /// 人员底库id
    /// </summary>
    [SugarColumn(ColumnName = "PersonSetId", ColumnDescription = "人员底库id", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = true)]
    public string PersonSetId { get; set; }
    /// <summary>
    /// 匹配相似度阈值（如果没传，系统默认用0.5）
    /// </summary>
    [SugarColumn(ColumnName = "Similarity", ColumnDescription = "匹配相似度阈值", IsNullable = true)]
    public float Similarity { get; set; }
    /// <summary>
    /// 创建时间
    /// </summary>
    [SugarColumn(ColumnName = "CreateTime", ColumnDescription = "创建时间", IsNullable = true)]
    public  DateTime CreateTime { get; set; }
    /// <summary>
    /// 结束时间
    /// </summary>
    [SugarColumn(ColumnName = "EndTime", ColumnDescription = "结束时间",IsNullable = true)]
    public DateTime EndTime { get; set; }
    /// <summary>
    /// 摄像头信息
    ///</summary>
    [Navigate(NavigateType.OneToOne, nameof(CameraId),nameof(CameraInfo.SensorId)),]
    public CameraInfo CameraInfoItem { get; set; }
}